MDKSA-2005:200 - Updated apache-mod_auth_shadow packages fix security restriction bypass issues.
Posted on: 10/27/2005 08:12 PM

The Mandriva Security Team published a new security update: MDKSA-2005:200 - Updated apache-mod_auth_shadow packages fix security restriction bypass issues. for Mandriva Linux. Here the announcement:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Advisory MDKSA-2005:200
http://www.mandriva.com/security/
_______________________________________________________________________

Package : apache-mod_auth_shadow
Date : October 27, 2005
Affected: 10.1, 10.2, 2006.0
_______________________________________________________________________

Problem Description:

The mod_auth_shadow module 1.0 through 1.5 and 2.0 for Apache with
AuthShadow enabled uses shadow authentication for all locations that
use the require group directive, even when other authentication
mechanisms are specified, which might allow remote authenticated users
to bypass security restrictions.

This update requires an explicit "AuthShadow on" statement if website
authentication should be checked against /etc/shadow.

The updated packages have been patched to address this issue.
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?nameƊN-2005-2963
_______________________________________________________________________

Updated Packages:

Mandriva Linux 10.1:
528cdab76158def18a53ce798f06efbf 10.1/RPMS/apache2-mod_auth_shadow-2.0.50_2.0-3.2.101mdk.i586.rpm
670e7f53e4d7ec420cc0ce529a11a423 10.1/SRPMS/apache2-mod_auth_shadow-2.0.50_2.0-3.2.101mdk.src.rpm

Mandriva Linux 10.1/X86_64:
43f45a988397a72e7a00485055f00ca1 x86_64/10.1/RPMS/apache2-mod_auth_shadow-2.0.50_2.0-3.2.101mdk.x86_64.rpm
670e7f53e4d7ec420cc0ce529a11a423 x86_64/10.1/SRPMS/apache2-mod_auth_shadow-2.0.50_2.0-3.2.101mdk.src.rpm

Mandriva Linux 10.2:
aa10a068cf7bc453cd8935b48afed141 10.2/RPMS/apache2-mod_auth_shadow-2.0.53_2.0-6.2.102mdk.i586.rpm
c7d15fcb80581c1169366d6ae56f9a1c 10.2/SRPMS/apache2-mod_auth_shadow-2.0.53_2.0-6.2.102mdk.src.rpm

Mandriva Linux 10.2/X86_64:
caa1cb7195baf33a5ea8e07f31a84825 x86_64/10.2/RPMS/apache2-mod_auth_shadow-2.0.53_2.0-6.2.102mdk.x86_64.rpm
c7d15fcb80581c1169366d6ae56f9a1c x86_64/10.2/SRPMS/apache2-mod_auth_shadow-2.0.53_2.0-6.2.102mdk.src.rpm

Mandriva Linux 2006.0:
e720a14ca9e445ae9aca32a8bd077f59 2006.0/RPMS/apache-mod_auth_shadow-2.0.54_2.0-4.1.20060mdk.i586.rpm
29be94c1a29d1c1400d84781fe25fd2d 2006.0/SRPMS/apache-mod_auth_shadow-2.0.54_2.0-4.1.20060mdk.src.rpm

Mandriva Linux 2006.0/X86_64:
19778e61e14975aa3f749068d985cf34 x86_64/2006.0/RPMS/apache-mod_auth_shadow-2.0.54_2.0-4.1.20060mdk.x86_64.rpm
29be94c1a29d1c1400d84781fe25fd2d x86_64/2006.0/SRPMS/apache-mod_auth_shadow-2.0.54_2.0-4.1.20060mdk.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrivaUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
lt;security*mandriva.comgt;
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFDYSF4mqjQ0CJFipgRApMhAJwOhHZTL6cM5QtWXwPx7b2UUm+QOwCfTUNS
vCWmnkfd7AbnuJXCDlTZMVk=
y1Z
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/_mdksa_2005200__updated_apache_mod_auth_shadow_packages_fix_security_restriction_bypass_issues.html)